Bug 1269080 - CVE-2015-5723 php-ZendFramework: various flaws [epel-all]
CVE-2015-5723 php-ZendFramework: various flaws [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: php-ZendFramework (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-7695 CVE-2015-5723
  Show dependency treegraph
 
Reported: 2015-10-06 05:23 EDT by Martin Prpič
Modified: 2015-12-05 15:29 EST (History)
2 users (show)

See Also:
Fixed In Version: php-ZendFramework-1.12.16-1.fc23 php-ZendFramework-1.12.16-1.fc22 php-ZendFramework-1.12.16-1.fc21 php-ZendFramework-1.12.16-1.el7
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-08 17:23:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-06 05:23:56 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Martin Prpič 2015-10-06 05:24:00 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1269077,1269080

# Description of your update
notes=Security fix for CVE-2015-5723

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1269077,1269080
Comment 2 Martin Prpič 2015-10-06 05:24:28 EDT
Adding parent bug 1269078.  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1269080,1269077,1269078

# Description of your update
notes=Security fix for CVE-2015-5723

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1269080,1269077,1269078
Comment 3 Fedora Update System 2015-10-25 04:44:53 EDT
php-ZendFramework-1.12.16-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f1e18131bc
Comment 4 Fedora Update System 2015-10-25 04:45:18 EDT
php-ZendFramework-1.12.16-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ad1b660a4d
Comment 5 Fedora Update System 2015-10-25 04:45:18 EDT
php-ZendFramework-1.12.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d70a701bf
Comment 6 Fedora Update System 2015-10-26 17:19:58 EDT
php-ZendFramework-1.12.16-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-ZendFramework'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ad1b660a4d
Comment 7 Fedora Update System 2015-10-26 22:19:22 EDT
php-ZendFramework-1.12.16-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-ZendFramework'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2e7c06c639
Comment 8 Fedora Update System 2015-10-28 14:21:42 EDT
php-ZendFramework-1.12.16-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-ZendFramework'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f1e18131bc
Comment 9 Fedora Update System 2015-10-28 16:26:21 EDT
php-ZendFramework-1.12.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-ZendFramework'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d70a701bf
Comment 10 Fedora Update System 2015-11-08 17:23:47 EST
php-ZendFramework-1.12.16-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-11-08 19:51:07 EST
php-ZendFramework-1.12.16-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-11-08 20:21:04 EST
php-ZendFramework-1.12.16-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-05 15:29:40 EST
php-ZendFramework-1.12.16-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.